Package com.avaya.clientservices.media

## Enum CPUThresholdType

- java.lang.Object
- - java.lang.Enum<CPUThresholdType>
  - - com.avaya.clientservices.media.CPUThresholdType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CPUThresholdType>`

      public enum CPUThresholdType
      extends java.lang.Enum<CPUThresholdType>

  TODO: This needs better explanation X = Client Process CPU Usage percentage, X1 = Configured Process Usage Threshold. Y = Overall CPU Usage percentage, Y1 = Configured Overall CPU Usage Threshold.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CPU_THRESHOLD_BELOW` | This threshold is triggered, if the % of collected samples that meet criteria (X < X1 AND Y < Y1) is greater than the configured thresholdTriggerPercent.
    `CPU_THRESHOLD_EXCEED1` | This threshold is triggered if the % of collected samples that meet criteria (X > X1 OR Y > Y1) is greater than the configured thresholdTriggerPercent.
    `CPU_THRESHOLD_EXCEED2` | This threshold is triggered if the % of collected samples that meet criteria (X > X1 OR Y > Y1) is greater than the configured thresholdTriggerPercent.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CPUThresholdType` | `fromInt​(int v)` |
    `int` | `intValue()` |
    `static CPUThresholdType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CPUThresholdType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CPU_THRESHOLD_BELOW

          public static final CPUThresholdType CPU_THRESHOLD_BELOW

      This threshold is triggered, if the % of collected samples that meet criteria (X < X1 AND Y < Y1) is greater than the configured thresholdTriggerPercent. When this is triggered, application may choose to step up the video resolution or add additional video streams.

    - #### CPU_THRESHOLD_EXCEED1

          public static final CPUThresholdType CPU_THRESHOLD_EXCEED1

      This threshold is triggered if the % of collected samples that meet criteria (X > X1 OR Y > Y1) is greater than the configured thresholdTriggerPercent. When this is triggered, application should consider step down the video resolution (or remove video streams in case of multi-stream video).

    - #### CPU_THRESHOLD_EXCEED2

          public static final CPUThresholdType CPU_THRESHOLD_EXCEED2

      This threshold is triggered if the % of collected samples that meet criteria (X > X1 OR Y > Y1) is greater than the configured thresholdTriggerPercent. When this is triggered, application should consider step down the video resolution (or remove video streams in case of multi stream video). If the current video resolution is the lowest possible, application shall try to de-escalate the video call to audio. NOTE: This should not be configured with CPU and Process usage threshold values lesser than CPUThresholdTypeExceed1.

  - ### Method Detail

    - #### values

          public static CPUThresholdType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CPUThresholdType c : CPUThresholdType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CPUThresholdType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromInt

          public static CPUThresholdType fromInt​(int v)

    - #### intValue

          public int intValue()